test: _PFNCLIENT struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _PFNCLIENT Struct Reference

`#include <user.h>`

List of all members.

## Public Attributes

PROC | pfnScrollBarWndProc
PROC | pfnTitleWndProc
PROC | pfnMenuWndProc
PROC | pfnDesktopWndProc
PROC | pfnDefWindowProc
PROC | pfnButtonWndProc
PROC | pfnComboBoxWndProc
PROC | pfnComboListBoxProc
PROC | pfnDialogWndProc
PROC | pfnEditWndProc
PROC | pfnListBoxWndProc
PROC | pfnMDIClientWndProc
PROC | pfnStaticWndProc
PROC | pfnImeWndProc
PROC | pfnHkINLPCWPSTRUCT
PROC | pfnHkINLPCWPRETSTRUCT
PROC | pfnDispatchHook
PROC | pfnDispatchMessage
PROC | pfnMB_DlgProc
PROC | pfnMDIActivateDlgProc
KPROC | pfnScrollBarWndProc
KPROC | pfnTitleWndProc
KPROC | pfnMenuWndProc
KPROC | pfnDesktopWndProc
KPROC | pfnDefWindowProc
KPROC | pfnButtonWndProc
KPROC | pfnComboBoxWndProc
KPROC | pfnComboListBoxProc
KPROC | pfnDialogWndProc
KPROC | pfnEditWndProc
KPROC | pfnListBoxWndProc
KPROC | pfnMDIClientWndProc
KPROC | pfnStaticWndProc
KPROC | pfnImeWndProc
KPROC | pfnHkINLPCWPSTRUCT
KPROC | pfnHkINLPCWPRETSTRUCT
KPROC | pfnDispatchHook
KPROC | pfnDispatchMessage
KPROC | pfnMB_DlgProc
KPROC | pfnMDIActivateDlgProc

## Member Data Documentation

KPROC _PFNCLIENT::pfnButtonWndProc

| Definition at line 926 of file inc/user.h.

PROC _PFNCLIENT::pfnButtonWndProc

| Definition at line 863 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and InitializeClientPfnArrays().

KPROC _PFNCLIENT::pfnComboBoxWndProc

| Definition at line 927 of file inc/user.h.

PROC _PFNCLIENT::pfnComboBoxWndProc

| Definition at line 864 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and InitializeClientPfnArrays().

KPROC _PFNCLIENT::pfnComboListBoxProc

| Definition at line 928 of file inc/user.h.

PROC _PFNCLIENT::pfnComboListBoxProc

| Definition at line 865 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and InitializeClientPfnArrays().

KPROC _PFNCLIENT::pfnDefWindowProc

| Definition at line 922 of file inc/user.h.

PROC _PFNCLIENT::pfnDefWindowProc

| Definition at line 859 of file client/nt6/user.h. Referenced by _WOWCleanup(), _WOWModuleUnload(), ClientThreadSetup(), InitializeClientPfnArrays(), and PseudoDestroyClassWindows().

KPROC _PFNCLIENT::pfnDesktopWndProc

| Definition at line 921 of file inc/user.h.

PROC _PFNCLIENT::pfnDesktopWndProc

| Definition at line 858 of file client/nt6/user.h. Referenced by ClientThreadSetup().

KPROC _PFNCLIENT::pfnDialogWndProc

| Definition at line 929 of file inc/user.h.

PROC _PFNCLIENT::pfnDialogWndProc

| Definition at line 866 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and InitializeClientPfnArrays().

KPROC _PFNCLIENT::pfnDispatchHook

| Definition at line 940 of file inc/user.h.

PROC _PFNCLIENT::pfnDispatchHook

| Definition at line 877 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and xxxHkCallHook().

KPROC _PFNCLIENT::pfnDispatchMessage

| Definition at line 941 of file inc/user.h.

PROC _PFNCLIENT::pfnDispatchMessage

| Definition at line 878 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and xxxWrapCallWindowProc().

KPROC _PFNCLIENT::pfnEditWndProc

| Definition at line 930 of file inc/user.h.

PROC _PFNCLIENT::pfnEditWndProc

| Definition at line 867 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and xxxWrapCallWindowProc().

KPROC _PFNCLIENT::pfnHkINLPCWPRETSTRUCT

| Definition at line 939 of file inc/user.h.

PROC _PFNCLIENT::pfnHkINLPCWPRETSTRUCT

| Definition at line 876 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and xxxHkCallHook().

KPROC _PFNCLIENT::pfnHkINLPCWPSTRUCT

| Definition at line 938 of file inc/user.h.

PROC _PFNCLIENT::pfnHkINLPCWPSTRUCT

| Definition at line 875 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and xxxHkCallHook().

KPROC _PFNCLIENT::pfnImeWndProc

| Definition at line 934 of file inc/user.h.

PROC _PFNCLIENT::pfnImeWndProc

| Definition at line 871 of file client/nt6/user.h. Referenced by ClientThreadSetup().

KPROC _PFNCLIENT::pfnListBoxWndProc

| Definition at line 931 of file inc/user.h.

PROC _PFNCLIENT::pfnListBoxWndProc

| Definition at line 868 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and InitializeClientPfnArrays().

KPROC _PFNCLIENT::pfnMB_DlgProc

| Definition at line 942 of file inc/user.h.

PROC _PFNCLIENT::pfnMB_DlgProc

| Definition at line 879 of file client/nt6/user.h. Referenced by ClientThreadSetup().

KPROC _PFNCLIENT::pfnMDIActivateDlgProc

| Definition at line 943 of file inc/user.h.

PROC _PFNCLIENT::pfnMDIActivateDlgProc

| Definition at line 880 of file client/nt6/user.h. Referenced by ClientThreadSetup().

KPROC _PFNCLIENT::pfnMDIClientWndProc

| Definition at line 932 of file inc/user.h.

PROC _PFNCLIENT::pfnMDIClientWndProc

| Definition at line 869 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and InitializeClientPfnArrays().

KPROC _PFNCLIENT::pfnMenuWndProc

| Definition at line 920 of file inc/user.h.

PROC _PFNCLIENT::pfnMenuWndProc

| Definition at line 857 of file client/nt6/user.h. Referenced by ClientThreadSetup().

KPROC _PFNCLIENT::pfnScrollBarWndProc

| Definition at line 918 of file inc/user.h.

PROC _PFNCLIENT::pfnScrollBarWndProc

| Definition at line 855 of file client/nt6/user.h. Referenced by ClientThreadSetup().

KPROC _PFNCLIENT::pfnStaticWndProc

| Definition at line 933 of file inc/user.h.

PROC _PFNCLIENT::pfnStaticWndProc

| Definition at line 870 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and InitializeClientPfnArrays().

KPROC _PFNCLIENT::pfnTitleWndProc

| Definition at line 919 of file inc/user.h.

PROC _PFNCLIENT::pfnTitleWndProc

| Definition at line 856 of file client/nt6/user.h. Referenced by ClientThreadSetup(), and InitializeClientPfnArrays().

The documentation for this struct was generated from the following files:

- client/nt6/user.h
- inc/user.h